{inputs, ...}: {
  imports = with inputs; [
    self.modules.shared.nixos
    self.nixosModules.desktop
    self.nixosModules.system
    ./disko
    ./misc
  ];

  networking = {
    hostId = "c7f6c4a1";
    hostName = "dunamis";
  };

  system.stateVersion = "25.11";
  time.timeZone = "Europe/Kyiv";

  desktop.niri.enable = true;

  services.displayManager.autoLogin = {
    enable = true;
    user = "user";
  };

  module = {
    config = {
      secureBoot = true;
      tpmDiskUnlock = true;
      vaapi = "intel-media-driver";
    };
    stylix = {
      enable = true;
      theme = "rose-pine-moon";
    };
    locale = "uk_UA.UTF-8";
    misc = {
      opentabletdriver.enable = false;
      qmk-vial.enable = true;
    };
    virt.libvirt.enable = true;
  };
}
