{
  config,
  lib,
  ...
}: let
  inherit (lib) mkIf mkEnableOption;
in {
  options = {
    module.misc.opentabletdriver.enable =
      mkEnableOption "enables opentabletdriver";
  };
  config = mkIf config.module.misc.opentabletdriver.enable {
    hardware.opentabletdriver = {
      enable = true;
      daemon.enable = true;
      blacklistedKernelModules = [
        "hid-uclogic"
        "wacom"
      ];
    };
  };
}
